Note: This release is in preview. Features described here don’t become generally available until the latest general availability date that Salesforce announces for this release. Before then, and where features are noted as beta, pilot, or developer preview, we can’t guarantee general availability within any particular time frame or at all. Make your purchase decisions only on the basis of generally available products and features.
List View Basic Information
Returns basic information for a specific list view, including the label, API name, and
ID. This resource is available in REST API version 32.0 and later.
URI: /services/data/vXX.X/sobjects/sObject/listviews/listViewID
Formats: JSON, XML
HTTP Methods: GET
Authentication: Authorization: Bearer token
Parameters: None
Example
Example Request
1curl https://MyDomainName.my.salesforce.com/services/data/v67.0/sobjects/Account/listviews/00BD0000005WcBeMAK -H "Authorization: Bearer token"Example Response Body
1{
2 "describeUrl" : "/services/data/v67.0/sobjects/Account/listviews/00BD0000005WcBeMAK/describe",
3 "developerName" : "NewThisWeek",
4 "id" : "00BD0000005WcBeMAK",
5 "label" : "New This Week",
6 "resultsUrl" : "/services/data/v67.0/sobjects/Account/listviews/00BD0000005WcBeMAK/results",
7 "soqlCompatible" : true,
8 "url" : "/services/data/v67.0/sobjects/Account/listviews/00BD0000005WcBeMAK"
9}